Retrieve an IACA
Roles
Analytics Events
/v2/credentials/mobile/iacas/{iacaId}Retrieves an existing IACA by providing its ID.
Analytic events
- MOBILE_CREDENTIAL_IACA_RETRIEVE_START
- MOBILE_CREDENTIAL_IACA_RETRIEVE_SUCCESS
- MOBILE_CREDENTIAL_IACA_RETRIEVE_FAIL
Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}How would you rate this page?
Retrieve all IACAs GET
Retrieves all existing IACAs from the tenant. ### **Analytic events** * MOBILE_CREDENTIAL_IACA_RETRIEVE_LIST_START * MOBILE_CREDENTIAL_IACA_RETRIEVE_LIST_SUCCESS * MOBILE_CREDENTIAL_IACA_RETRIEVE_LIST_FAIL
Update an IACA PUT
Update the status of an IACA. Only active IACAs can be used for signing mDocs. Creating an IACA with `active` set to `false` enables distributing the IACA's PEM to relying parties in advance, before it is being used to sign any mDocs. ### **Analytic events** * MOBILE_CREDENTIAL_IACA_UPDATE_START * MOBILE_CREDENTIAL_IACA_UPDATE_SUCCESS * MOBILE_CREDENTIAL_IACA_UPDATE_FAIL